//
//  AIRBDEnvironments.h
//  Runner
//
//  Created by KyleCe on 2022/2/8.
//

//#ifndef AIRBDEnvironments_h
//#define AIRBDEnvironments_h
//
//
//#endif /* AIRBDEnvironments_h */

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface AIRBDEnvironments : NSObject
@property (copy, nonatomic) NSString* interactiveClassRoomAppID; // 在阿里云互动直播控制台上开通应用后获得
@property (copy, nonatomic) NSString* interactiveClassRoomAppKey; // 在阿里云互动直播控制台上开通应用后获得
@property (copy, nonatomic) NSString* appServerUrl; // 业务方自己的appserver域名
@property (copy, nonatomic) NSString* signSecret; // 业务方自定义的加签secret

@property (nonatomic, strong) NSString *_userId;
@property (nonatomic, strong) NSString *_appId;
@property (nonatomic, strong) NSString *_appKey;
@property (nonatomic, strong) NSString *_serverHost;
@property (nonatomic, strong) NSString *_serverSecret;

+ (instancetype)shareInstance;
@end

NS_ASSUME_NONNULL_END

