#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint alicloud_impinteraction_classroom.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'alicloud_impinteraction_classroom'
  s.version          = '1.8.4'
  s.summary          = 'A new flutter plugin for Alicloud vPaaS low code classroom SDK.'
  s.description      = <<-DESC
A new flutter plugin project.
                       DESC
  s.homepage         = 'https://help.aliyun.com/product/261167.html'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'AliCloud' => 'dev.alicloud.vpaas@gmail.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '10.0'
  s.static_framework = true

# '1.8.0'
# pod_ailplayer
  s.dependency 'AliPlayerSDK_iOS', '5.4.4.0'
  s.dependency 'AliPlayerSDK_iOS_ARTC', '5.4.4.0'
  s.dependency 'RtsSDK', '1.9.0'

  s.dependency 'Masonry'
  s.dependency 'MJRefresh'
  s.dependency 'LEEAlert'

  s.dependency 'AliRTCSdk', '2.5.7'
  #阿里云低代码音视频工厂互动课堂低代码接入入口库
  s.dependency 'AliStandardClassroomBundle', '1.8.0'
  s.dependency 'AliInteractiveRoomBundle', '1.8.0'
  s.dependency 'AliInteractiveRTCCore', '1.8.0'
  s.dependency 'AliInteractiveWhiteBoardCore', '1.8.0'
  s.dependency 'AliInteractiveVideoPlayerCore', '1.8.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
end
