//
//  AIRBDEnvironments.m
//  Runner
//
//  Created by KyleCe on 2022/2/8.
//


#import "AIRBDEnvironments.h"

@interface AIRBDEnvironments()

@end

@implementation AIRBDEnvironments

+ (instancetype)shareInstance {
    static AIRBDEnvironments *singleton = nil;
    static dispatch_once_t onceTokenAIRBDEnvironments;
    dispatch_once(&onceTokenAIRBDEnvironments, ^{
        singleton = [[AIRBDEnvironments alloc] init];
    });
    return singleton;
}

- (NSString*) interactiveClassRoomAppID {
    return [NSString stringWithFormat:@"%@", [self _appId]];
}

- (NSString*) interactiveClassRoomAppKey {
    return [NSString stringWithFormat:@"%@", [self _appKey]];
}

- (NSString*) appServerUrl {
    return [NSString stringWithFormat:@"%@", [self _serverHost]];
}

- (NSString*) signSecret {
    return [NSString stringWithFormat:@"%@", [self _serverSecret]];
}

@end

