import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:alicloud_impinteraction_classroom/alicloud_impinteraction_classroom.dart';

void main() {
  const MethodChannel channel = MethodChannel('alicloud_impinteraction_classroom');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('init', () async {
    expect(await AlicloudImpinteractionClassroom.init, '42');
  });
}
